<?php
/**
 * Aheadworks Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the EULA
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://ecommerce.aheadworks.com/end-user-license-agreement/
 *
 * @package    Followupemail2
 * @version    2.2.3
 * @copyright  Copyright (c) 2020 Aheadworks Inc. (http://www.aheadworks.com)
 * @license    https://ecommerce.aheadworks.com/end-user-license-agreement/
 */
namespace Aheadworks\Followupemail2\Model\Event;

use Aheadworks\Followupemail2\Api\Data\EventHistoryInterface;

/**
 * Interface HandlerInterface
 * @package Aheadworks\Followupemail2\Model\Event
 */
interface HandlerInterface
{
    /**
     * @return string
     */
    public function getType();

    /**
     * @return string
     */
    public function getReferenceDataKey();

    /**
     * @param array $data
     * @return bool
     */
    public function validateEventData(array $data = []);

    /**
     * Process specified event history item
     *
     * @param EventHistoryInterface $eventHistoryItem
     * @return void
     */
    public function process(EventHistoryInterface $eventHistoryItem);

    /**
     * Cancel events
     *
     * @param string $eventCode
     * @param array $data
     * @return void
     */
    public function cancelEvents($eventCode, $data = []);

    /**
     * Get event object variable name
     *
     * @return string
     */
    public function getEventObjectVariableName();

    /**
     * Get event object
     *
     * @param array $eventData
     * @return mixed
     */
    public function getEventObject($eventData);
}
